Python
import requests
webhook_id = "your-webhook-id"
response = requests.delete(
f"https://api.roe-ai.com/webhooks/{webhook_id}/",
headers={"Authorization": "Bearer YOUR_API_KEY"}
)
if response.status_code == 204:
print("Webhook deleted")
const webhookId = "your-webhook-id";
const response = await fetch(
`https://api.roe-ai.com/webhooks/${webhookId}/`,
{
method: "DELETE",
headers: { "Authorization": "Bearer YOUR_API_KEY" }
}
);
if (response.status === 204) {
console.log("Webhook deleted");
}
curl -X DELETE "https://api.roe-ai.com/webhooks/YOUR_WEBHOOK_ID/" \
-H "Authorization: Bearer YOUR_API_KEY"
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.roe-ai.com/webhooks/{webhook_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.roe-ai.com/webhooks/{webhook_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.roe-ai.com/webhooks/{webhook_id}/"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.roe-ai.com/webhooks/{webhook_id}/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.roe-ai.com/webhooks/{webhook_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyWebhooks
Delete Webhook
Mixin for organization access validation.
Automatically resolves and validates organization access on every request,
making the organization available as self.organization.
For API key auth: organization is derived from the key (no org_id param needed).
For user auth: organization_id must be provided in the request
(kwargs / headers / body / query params).
Usage:
class MyView(BaseOrganizationAccessMixin, APIView):
def get(self, request):
# self.organization is automatically available
return Response({"org": self.organization.name})
DELETE
/
webhooks
/
{webhook_id}
/
Python
import requests
webhook_id = "your-webhook-id"
response = requests.delete(
f"https://api.roe-ai.com/webhooks/{webhook_id}/",
headers={"Authorization": "Bearer YOUR_API_KEY"}
)
if response.status_code == 204:
print("Webhook deleted")
const webhookId = "your-webhook-id";
const response = await fetch(
`https://api.roe-ai.com/webhooks/${webhookId}/`,
{
method: "DELETE",
headers: { "Authorization": "Bearer YOUR_API_KEY" }
}
);
if (response.status === 204) {
console.log("Webhook deleted");
}
curl -X DELETE "https://api.roe-ai.com/webhooks/YOUR_WEBHOOK_ID/" \
-H "Authorization: Bearer YOUR_API_KEY"
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.roe-ai.com/webhooks/{webhook_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.roe-ai.com/webhooks/{webhook_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.roe-ai.com/webhooks/{webhook_id}/"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.roe-ai.com/webhooks/{webhook_id}/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.roe-ai.com/webhooks/{webhook_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyAuthorizations
Query Parameters
Response
204
No response body